Go Vulnerability CVE-2023-45283 on Linux distribution

As Vault is using go, hence its also affected with Vulnerability (NVD - CVE-2023-45283). I have one question if

  1. I am not passing any Windows paths to Vault.
  2. The application which has Vault as dependency is deployed in Linux distribution

In this scenario, can i safely assume that this Vulnerability will not impact my application

Additionally, It will be great if you can share an ETA of fixing this Vulnerability . Go has already fixed and released it (path/filepath: insecure parsing of Windows paths · Issue #63713 · golang/go · GitHub)